function batchresults = batchanalysis_blank()

%Batchanalysis script written by Brad Wyble, in March 2014.
%customized for data files from Tutorial2 blockfile, a Stroop paradigm

%This code compensates for your operation systems preferences when accessing data files.
if IsOSX    %On a mac, or PC choose the right data directory
    datadir='data/';
else
    datadir='data\';
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define Data to be analyzed



%Add in the subject numbers of the data files that you wish to   analyze:
subnum_list = [999];  %list here the subject numbers that you wish to use

%Define numsubs as the length of subs in order to avoid hard coding
numsubs = length(subnum_list);




%Determine The number of conditions/independent variables

factor_conditions = 1;  %how many factors are in your condiditon 

%Create Matrices in which we'll accumulate data
%By creating these we can view the exported data in MATLAB and do statistical analysis


%Ex:
% batchresults.stimset = zeros(factor_conditions ,numsubs); %For each trial which stimset did the stimuli belong to?
% batchresults.stimnum = zeros(factor_conditions ,numsubs); %Which stimulus was used in the particular set?



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Begin Analysis


%Subject count, Used because every subject number may not be used

count = 0;

%loop through all of the subjects data files
for sub = 1: length(subnum_list)
    count = count + 1;  %number of subjects so far
    
    %figure out the .mat filename and load it, saved in analysis folder
    fname = sprintf('%sExpSub_compact_%d.mat',datadir,subnum_list(sub));
    load(fname)
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Block #1 Analysis
    
    % Analysis of block #1  (there is only one block in this data file)
    block = 1;
    numtrials = length(Userdata.Blocks(block).Trials);
    
    
    % Loop through all of the trials in this block
    for(trial = 1:numtrials)
        
        %Extract crucial information from this trial
        
        %stimset = Userdata.Blocks(block).Trials(trial).stimset;     %congruent, incongruent, neutral?
        %stimnum = Userdata.Blocks(block).Trials(trial).whichword;  %what specific word was shown?
           
        
        
        %Define condition levels
        
        % if a = 1
        %   condition = 1
        % else
        %   condition = 2
        % end
        
        %For each trial under the set conditions add a specified value to the corrosponding unit in the matrix
        
        %batchresults.stimset(condition ,count) =         batchresults.stimset(condition,count)  +1;
        %batchresults.stimnum(condition ,count) =         batchresults.stimnum(condition,count)  +1;
        
            
    end
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Block #2 Analysis
    
    % Analysis of block #1  (there is only one block in this data file)
    block = 1;
    numtrials = length(Userdata.Blocks(block).Trials);
    
    
    % Loop through all of the trials in this block
    for(trial = 1:numtrials)
        
        %Extract crucial information from this trial
        
        %stimset = Userdata.Blocks(block).Trials(trial).stimset;     %congruent, incongruent, neutral?
        %stimnum = Userdata.Blocks(block).Trials(trial).whichword;  %what specific word was shown?
           
        
        
        %define condition levels
        
        % if a = 1
        %   condition = 1
        % else
        %   condition = 2
        % end
        
        %For each trial under the set conditions add a specified value to the corrosponding unit in the matrix
        
        %batchresults.stimset(condition ,count) =         batchresults.stimset(condition,count)  +1;
        %batchresults.stimnum(condition ,count) =         batchresults.stimnum(condition,count)  +1;
    end  
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Add as many blocks as you have collected data for.
    
end
%What values do you want the analysis file to return upon running the script?
batchresults.subnum_list = subnum_list;
%batchresults.stimset = stimset;
%batchresults.stimnum = stimnum;
