function [Events Parameters Stimuli_sets Block_Export Trial_Export  Numtrials]=Demo(Parameters, Stimuli_sets, Trial, Blocknum, Modeflag, Events,Block_Export,Trial_Export,Demodata)
loadblockspace

if strcmp(Modeflag,'InitializeBlock');
    
    
    %Congruent stimuli
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'RED','GREEN','BLUE','YELLOW','PURPLE'};
    stimstruct.color = [255,0,0; 0,255,0; 0,0,255; 255,255,0; 255,0,255];
    stimstruct.font = {'Consolas'};
    Stimuli_sets(1) = Preparestimuli(Parameters,stimstruct);
    
    %Incongruent stimuli
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'RED';'RED';'RED';'RED';'GREEN';'GREEN';'GREEN';'GREEN';'BLUE';'BLUE';'BLUE';'BLUE';'YELLOW';'YELLOW';'YELLOW';'YELLOW';'PURPLE';'PURPLE';'PURPLE';'PURPLE';};
    stimstruct.color = [0,255,0; 0,0,255; 255,255,0; 255,0,255  %RED
                        255,0,0; 255,255,0; 0,0,255; 255,0,255  %GREEN
                        0,255,0; 255,0,0; 255,255,0; 255,0,255  %BLUE
                        0,255,0; 255,0,0; 0,0,255; 255,0,255    %YELLOW
                        0,255,0; 0,0,255; 255,255, 0;255,0,0];  %PURPLE
    stimstruct.font = {'Consolas'};
    Stimuli_sets(2) = Preparestimuli(Parameters,stimstruct);
    
    %Neutral stimuli
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'NIGHT','NIGHT','NIGHT','NIGHT','HORSE','HORSE','HORSE','HORSE','CAT','CAT','CAT','CAT','TIME','TIME','TIME','TIME','CHAIR','CHAIR','CHAIR','CHAIR'};
    stimstruct.color = [0,0,255; 255,0,0; 0,255,0; 255,255,0; 255,0,255;   %NIGHT
                        0,0,255; 255,0,0; 0,255,0; 255,255,0; 255,0,255;   %HORSE
                        0,0,255; 255,0,0; 0,255,0; 255,255,0; 255,0,255;   %CAT
                        0,0,255; 255,0,0; 0,255,0; 255,255,0; 255,0,255];  %TIME
    stimstruct.font = {'Consolas'};
    Stimuli_sets(3) = Preparestimuli(Parameters,stimstruct);
    
    
    
    %Instructions
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'Press R, G, B, Y, or P to indicate color of the ink (not the word)'};
    stimstruct.stimsize = 20;
    Stimuli_sets(4) = Preparestimuli(Parameters,stimstruct);
    
    
    %Key codes for the responsestruct
    anskey_R = KbName('r');
    anskey_G = KbName('g');
    anskey_B = KbName('b');
    anskey_Y = KbName('y');
    anskey_P = KbName('p');  
    
    
    %Set the number of trials
    Numtrials = 3;
    
    
    %Which kind of word will be used?  
    %(1 = congruent, 2 = incongruent, 3 = neutral)
    stimtype = [1 2 3];
    stimtype = shuffle(stimtype);
    
    
    %Create a Block_Export variable for the stimtype here: 
    Block_Export.stimtype = stimtype;
    
    
    
elseif strcmp(Modeflag,'InitializeTrial');
       
    
    %For simplicity, this defines these shorter names so that (locx, locy) is the center of the screen
    locx = Parameters.centerx;
    locy = Parameters.centery;
    
    %Presents instructions for the first trial only
    if Trial == 1
        prompt_time = .1;
        word_onsettime = prompt_time +4;
    else
    word_onsettime = .5; 
    end
    
    %This time will be used to specify the blank time of a trial
    trial_blanktime = word_onsettime +.01;  %1 second in duration
    
    %End of the trial
    trial_endtime = trial_blanktime +1;
    
    
    %Depending on which simset is chosen at random, this statement chooses
    %a random word in that stim set
    if stimtype(Trial) == 1
        whichword = ceil(rand*5);
    elseif stimtype(Trial) == 2
        whichword = ceil(rand*20);
    elseif stimtype(Trial) == 3
        whichword = ceil(rand*20);
    end
    
    
    %Presents instructions for trial 1
    if Trial ==1
    Events = newevent_show_stimulus(Events,4,1,locx,locy,prompt_time,'screenshot_no','clear_yes');
    end
    
    %Presents the target stimulus
    Events = newevent_show_stimulus(Events,stimtype(Trial),whichword,locx,locy,word_onsettime,'screenshot_no','clear_yes');
   
       
    %Creates an event to collect a keyboard response
    responsestruct = CreateResponseStruct; %Creates the responsestruct
    responsestruct.allowedchars = [anskey_R anskey_G anskey_B anskey_Y anskey_P];%Keys used in the responsestruct
    [Events, evnum1] = newevent_keyboard(Events,word_onsettime,responsestruct); %Creates the keyboard Event   
   
    
    
    %Blanks the screen
    Events = newevent_blank(Events,trial_blanktime);
   
    %Creates an Event to end the trial.
    Events = newevent_end_trial(Events,trial_endtime);
    
    %Saves data into the export variables
    Trial_Export.stimtype = stimtype(Trial);
    
    
    %Create the new export variable for whichword here
    Trial_Export.whichword = whichword;
    
  
   
    
elseif strcmp(Modeflag,'EndTrial' );
    
    
    %Export the responsestruct data points that you wish to be added into the data file
    Trial_Export.rt = Events.responsert{evnum1};
 
    Trial_Export.response = char(Events.response{evnum1});
    
    
elseif strcmp(Modeflag,'EndBlock');
    
    
else
    
    %Something went wrong in Runblock (You should never see this error)
       error('Invalid modeflag');
       
end
saveblockspace
end