function [Events Parameters Stimuli_sets Block_Export Trial_Export  Numtrials]=Demo(Parameters, Stimuli_sets, Trial, Blocknum, Modeflag, Events,Block_Export,Trial_Export,Demodata)
loadblockspace

if strcmp(Modeflag,'InitializeBlock');
    

    %Stimstructs
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'Get ready. Press the YELLOW button to begin each trial.';'Click whether the number is even or odd as quickly as possible'};
    Stimuli_sets(1) = Preparestimuli(Parameters,stimstruct);
    
    
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'1';'2';'3';'4';'5';'6';'7';'8';'9';'Even';'Odd'};
    stimstruct.font = {'Arial'};
    stimstruct.stimsize = 40;
    Stimuli_sets(2) = Preparestimuli(Parameters,stimstruct);
    
    
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'FillOval';'FillOval';'FillOval'};
    stimstruct.color = [255,255,0; 0,0,255; 0,255,0];
    stimstruct.xdim = [100, 150, 150];
    stimstruct.ydim = [100, 150, 150];
    Stimuli_sets(3) = Preparestimuli(Parameters,stimstruct);
    


    
    %Sets the number of trials:
    Numtrials = 5;
    
    
    %Sets the use of the mouse active using this line of code
    Parameters.mouse.enabled = 1;
    
    
elseif strcmp(Modeflag,'InitializeTrial');
    
   
    %For simplicity, this defines the center into shorter names (i.e. locx and locy)
    locx = Parameters.centerx;
    locy = Parameters.centery;
    
    time_interval = ceil(rand*9)/10 +1;
    
    %Presents instructions
    if Trial == 1
        instruction_time = .1;
        Events = newevent_show_stimulus(Events,1,2,locx,locy - 300,instruction_time,'screenshot_no','clear_yes');
        text_time = instruction_time +3;
    else
        text_time = .1;
    end
    
    
    %Timing Variables
    button1_time = text_time;
    blanktime = button1_time + .01;
    button2_time = blanktime + time_interval;
    random_time = randi(5);
    number_time = button2_time + random_time(1);
    response_time = number_time + .001;
    trial_endtime = response_time + .01;
    
    
    %Sets the mouse cursor size to 20 pixels
    Events = newevent_mouse_cursor(Events,text_time,locx,locy,20);
    
    
    %Text Instructions
    Events = newevent_show_stimulus(Events,1,1,locx,locy - 300,text_time,'screenshot_no','clear_yes');
    
    
    %Creates the shape that will represent the button/make it visible
    Events = newevent_show_stimulus(Events,3,1,locx,locy,button1_time,'screenshot_no','clear_no');
    
    
    %Creates an Event to wait for a mouse click
    mouseresponse1 = CreateResponseStruct;
    mouseresponse1.spatialwindows = {[locx,locy,50]};
    Events = newevent_mouse(Events,button1_time,mouseresponse1);
    
    
    %Makes the cursor disappear
    Events = newevent_mouse_cursor(Events,blanktime,locx,locy,0);
    
    
    %Blanks screen
    Events = newevent_blank(Events,blanktime);
    
    
    %Makes the cursor reappear
    Events = newevent_mouse_cursor(Events,button2_time,locx,locy,20);
    
    
    %Response Buttons, Shapes, and Labels
    Events = newevent_show_stimulus(Events,3,2,locx,locy-200,button2_time,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,2,10,locx,locy-200,button2_time,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,3,3,locx,locy+200,button2_time,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,2,11,locx,locy+200,button2_time,'screenshot_no','clear_no');
    mouseresponse2 = CreateResponseStruct;
    mouseresponse2.spatialwindows = {[locx,locy-200,75]; [locx,locy+200,75]};
    [Events, evnum] = newevent_mouse(Events,number_time,mouseresponse2);
    
    %Target
    numstim = ceil(rand*9);
    Events = newevent_show_stimulus(Events,2,numstim,locx,locy,number_time,'screenshot_no','clear_no');
    
    
    %Makes the cursor disappear after response (set size = 0)
    Events = newevent_mouse_cursor(Events,response_time,locx,locy,0);
    Events = newevent_blank(Events,response_time);
   
   
    Events = newevent_end_trial(Events,trial_endtime);
    
    

    
elseif strcmp(Modeflag,'EndTrial' );
    

    %Response Data
    
    Trial_Export.Number = numstim;
    
    Trial_Export.Time_Interval = time_interval;
    
    Trial_Export.RT = Events.mouse_rt(evnum);
    
    Trial_Export.xloc = Events.mouse_response{evnum}(1);
    
    Trial_Export.yloc = Events.mouse_response{evnum}(2);
    
    
    
elseif strcmp(Modeflag,'EndBlock');
    
    
    %You may wish to do some final analysis here before the experiment is over.
    
    
else
    
    %Something went wrong in Runblock (You should never see this error)
       error('Invalid modeflag');
       
end
saveblockspace
end