function [Events Parameters Stimuli_sets Block_Export Trial_Export  Numtrials]=Demo(Parameters, Stimuli_sets, Trial, Blocknum, Modeflag, Events,Block_Export,Trial_Export,Demodata)
loadblockspace

if strcmp(Modeflag,'InitializeBlock');
    
                                        %Stimstructs
    
    %This contains the stimuli for the experiment
    stimstruct = CreateStimStruct('text'); 
    stimstruct.stimuli = {'Pillow';'Spade';'Zoo';'House';'Ace'}; 
    Stimuli_sets(1) = Preparestimuli(Parameters,stimstruct); %This stimulus set is defined as #1
    
    %This contains the instructions for the experiment
    stimstruct = CreateStimStruct('text'); 
    stimstruct.stimuli = {'Try to remember as many words as possible.';'What was the first word?';'What was the second word?';'What was the third word?';'What was the fourth word?';'What was the fifth word?';'The correct words in order were:'}; 
    Stimuli_sets(2) = Preparestimuli(Parameters,stimstruct); %This stimulus set is defined as #2
    
    
    %Sets the number of trials
    Numtrials = 1;

    
elseif strcmp(Modeflag,'InitializeTrial');
    
    
    %For simplicity, this defines these shorter names so that (locx, locy) is the center of the screen
    locx = Parameters.centerx;
    locy = Parameters.centery;
    order = randperm(5); %We use this variable to shuffle the list of stimuli, then select 1
    
    
                                        %Timing Variables

    %When the instruction prompt appears, relative to the start of the trial
    prompt_time = .1;
    
    %When the stimuli appears relative to fixation
    stim_onsettime = prompt_time  + 5;  %.5 second (500 milliseconds)
    
    %Time at which the mask disappears
    blanktime = stim_onsettime + 3;
   
    %Time at which the responses are shown    
    response_time_1 = blanktime + 1;
    response_time_2 = response_time_1 + .05;
    response_time_3 = response_time_2 + .05;
    response_time_4 = response_time_3 + .05;
    response_time_5 = response_time_4 + .05;
    review_time = response_time_5 + .05;
    
    %Time at which the trial ends relative to mask offset
    trial_endtime =  review_time + 8;
    
    
                                        %Events

    %Instructions prompt
    Events = newevent_show_stimulus(Events,2,1,locx,locy,prompt_time ,'screenshot_no','clear_yes');
    
     
    %Stimuli
    Events = newevent_show_stimulus(Events,1,order(1),locx,locy-200,stim_onsettime ,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,1,order(2),locx,locy-100,stim_onsettime ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(3),locx,locy,stim_onsettime ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(4),locx,locy+100,stim_onsettime ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(5),locx,locy+200,stim_onsettime ,'screenshot_no','clear_no');
   
                                                %Responsestruct
                                            
    responsestruct = CreateResponseStruct; %Creates the Responsestruct
    responsestruct.showinput = 1; %Allows for the input to be displayed on the screen
    responsestruct.uppercase = 1;  %Presents the input only in uppercase letters
    responsestruct.waitforenter = 1; %Waits for the Enter key to be pressed before moving forward
    responsestruct.maxlength = 10; 
    responsestruct.fontcolor = {[0,0,0]};
    
    %First Response
    Events = newevent_show_stimulus(Events,2,2,locx,locy,response_time_1 ,'screenshot_no','clear_yes'); 
    [Events, evnum1] = newevent_keyboard(Events,response_time_1,responsestruct); %The event itself that calls the specified Responsestruct
   
    %Second Response
    Events = newevent_show_stimulus(Events,2,3,locx,locy,response_time_2 ,'screenshot_no','clear_yes');
    [Events, evnum2] = newevent_keyboard(Events,response_time_2,responsestruct); 
   
    %Third Response
    Events = newevent_show_stimulus(Events,2,4,locx,locy,response_time_3 ,'screenshot_no','clear_yes');
    [Events, evnum3] = newevent_keyboard(Events,response_time_3,responsestruct); 
   
    %Fourth Response
    Events = newevent_show_stimulus(Events,2,5,locx,locy,response_time_4 ,'screenshot_no','clear_yes');
    [Events, evnum4] = newevent_keyboard(Events,response_time_4,responsestruct); 
   
    %Fifth Response
    Events = newevent_show_stimulus(Events,2,6,locx,locy,response_time_5 ,'screenshot_no','clear_yes');
    [Events, evnum5] = newevent_keyboard(Events,response_time_5,responsestruct);
    
   
   
    %Displays the correct answers
    Events = newevent_show_stimulus(Events,2,7,locx,locy-300,review_time ,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,1,order(1),locx,locy-200,review_time ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(2),locx,locy-100,review_time ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(3),locx,locy,review_time ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(4),locx,locy+100,review_time ,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,1,order(5),locx,locy+200,review_time ,'screenshot_no','clear_no');
   
    
    %Creates an event to end the trial
    Events = newevent_end_trial(Events,trial_endtime);
    
    
    
elseif strcmp(Modeflag,'EndTrial');
    
    
    
elseif strcmp(Modeflag,'EndBlock');
    
   
else
    
    %Something went wrong in Runblock (You should never see this error)
        BlockError;
    error(err);
        
end
saveblockspace
end